org.modeshape.sequencer.teiid.lexicon

## Interface CoreLexicon.JcrId

- Enclosing interface:
    CoreLexicon

      public static interface CoreLexicon.JcrId

  JCR identifiers relating to the core namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATED`
    `static String` | `DESCRIPTION`
    `static String` | `IMPORT`
    `static String` | `KEYWORDS`
    `static String` | `MAX_SET_SIZE`
    `static String` | `MODEL`
    `static String` | `MODEL_EXTENSION_DEFINITIONS_GROUP_NODE`
    `static String` | `MODEL_LOCATION`
    `static String` | `MODEL_TYPE`
    `static String` | `NAME_IN_SOURCE`
    `static String` | `ORIGINAL_FILE`
    `static String` | `PATH`
    `static String` | `PRIMARY_METAMODEL_URI`
    `static String` | `PRODUCER_NAME`
    `static String` | `PRODUCER_VERSION`
    `static String` | `SUPPORTS_DISTINCT`
    `static String` | `SUPPORTS_JOIN`
    `static String` | `SUPPORTS_ORDER_BY`
    `static String` | `SUPPORTS_OUTER_JOIN`
    `static String` | `SUPPORTS_WHERE_ALL`
    `static String` | `TAGS`
    `static String` | `VISIBLE`

- - ### Field Detail

    - #### MODEL

          static final String MODEL

      See Also:
        Constant Field Values

    - #### ANNOTATED

          static final String ANNOTATED

      See Also:
        Constant Field Values

    - #### TAGS

          static final String TAGS

      See Also:
        Constant Field Values

    - #### PRIMARY_METAMODEL_URI

          static final String PRIMARY_METAMODEL_URI

      See Also:
        Constant Field Values

    - #### MODEL_TYPE

          static final String MODEL_TYPE

      See Also:
        Constant Field Values

    - #### ORIGINAL_FILE

          static final String ORIGINAL_FILE

      See Also:
        Constant Field Values

    - #### IMPORT

          static final String IMPORT

      See Also:
        Constant Field Values

    - #### MODEL_LOCATION

          static final String MODEL_LOCATION

      See Also:
        Constant Field Values

    - #### PATH

          static final String PATH

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEYWORDS

          static final String KEYWORDS

      See Also:
        Constant Field Values

    - #### PRODUCER_NAME

          static final String PRODUCER_NAME

      See Also:
        Constant Field Values

    - #### PRODUCER_VERSION

          static final String PRODUCER_VERSION

      See Also:
        Constant Field Values

    - #### MAX_SET_SIZE

          static final String MAX_SET_SIZE

      See Also:
        Constant Field Values

    - #### NAME_IN_SOURCE

          static final String NAME_IN_SOURCE

      See Also:
        Constant Field Values

    - #### SUPPORTS_DISTINCT

          static final String SUPPORTS_DISTINCT

      See Also:
        Constant Field Values

    - #### SUPPORTS_JOIN

          static final String SUPPORTS_JOIN

      See Also:
        Constant Field Values

    - #### SUPPORTS_ORDER_BY

          static final String SUPPORTS_ORDER_BY

      See Also:
        Constant Field Values

    - #### SUPPORTS_OUTER_JOIN

          static final String SUPPORTS_OUTER_JOIN

      See Also:
        Constant Field Values

    - #### SUPPORTS_WHERE_ALL

          static final String SUPPORTS_WHERE_ALL

      See Also:
        Constant Field Values

    - #### VISIBLE

          static final String VISIBLE

      See Also:
        Constant Field Values

    - #### MODEL_EXTENSION_DEFINITIONS_GROUP_NODE

          static final String MODEL_EXTENSION_DEFINITIONS_GROUP_NODE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.